%define	desktop_vendor planetccrma

%define rctag rc2

Summary: Realtime modular synthesizer
Name: ams
Version: 1.8.8
Release: 0.2%{?rctag:.%{rctag}}%{?dist}
URL: http://alsamodular.sourceforge.net
Source0: http://dl.sf.net/alsamodular/ams-%{version}%{?rctag:-%{rctag}}.tar.bz2
Source1: ams.desktop
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

%ifarch x86_64
%define mark64 ()(64bit)
%endif

# explicitly require all the LADSPA plugins the examples and demos need
# cmt
Requires: cmt.so%{?mark64}
# mcp plugins
Requires: cs_chorus.so%{?mark64}
Requires: cs_phaser.so%{?mark64}
Requires: mvchpf24.so%{?mark64}
Requires: mvclpf24.so%{?mark64}
# swh plugins
Requires: bode_shifter_cv_1432.so%{?mark64}
Requires: fad_delay_1192.so%{?mark64}
Requires: gverb_1216.so%{?mark64}
# vco plugins
Requires: blvco.so%{?mark64}
# rev plugins
Requires: g2reverb.so%{?mark64}
# fil plugins (not required by examples but added anyway)
Requires: filters.so%{?mark64} 

BuildRequires: desktop-file-utils alsa-lib-devel clalsadrv-devel
BuildRequires: jack-audio-connection-kit-devel ladspa-devel
%if "%{fedora}" >= "5"
BuildRequires: fftw2-devel
%else
BuildRequires: fftw-devel
%endif
%if 0%{fedora} >= 9
BuildRequires: qt3-devel
%else
BuildRequires: qt-devel
%endif

%description
AlsaModularSynth is a realtime modular synthesizer and effect
processor. It features MIDI controlled modular software synthesis,
realtime effect processing with capture, full control of all synthesis
and effect parameters via MIDI, integrated LADSPA Browser with search
capability and JACK Support.

%prep
%setup -q -n ams-%{version}%{?rctag:-%{rctag}}

%build
qmake
# use rpm optimization flags
%{__perl} -p -i -e "s|CXXFLAGS=|CXXFLAGS=${RPM_OPT_FLAGS} |g" Makefile
%{__make} LADSPA_PATH="%{_libdir}/ladspa:%{_prefix}/local/%{_lib}/ladspa" %{_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_datadir}/ams
%{__install} -m 0755 ams %{buildroot}%{_bindir}
for dir in demos instruments tutorial ; do
    %{__mkdir} -p %{buildroot}%{_datadir}/ams/$dir
    %{__install} -m 644 $dir/*.ams %{buildroot}%{_datadir}/ams/$dir
done

# desktop categories
BASE="Application AudioVideo Audio"
XTRA="X-MIDI X-Jack X-Synthesis Midi"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README LICENSE THANKS demos instruments tutorial
%{_bindir}/ams
%{_datadir}/ams
%{_datadir}/applications/%{desktop_vendor}-ams.desktop

%changelog
* Thu Feb 5 2009 Anatoly Metetes <anatolym@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Jul 15 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.8-0.2.rc2
- updated qt3-devel build dependency for fc9

* Tue Oct  9 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.8-0.2.rc2
- adjusted desktop categories

* Tue May  8 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.8-0.1.rc2
- updated to rc2, use qmake to define the Makefile

* Mon Apr 30 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.8-0.1.rc1
- updated to 1.8.8-rc1 release

* Tue Dec  5 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-6
- added proper require incantations for the specific ladspa plugins 
  needed

* Thu Nov 30 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-5
- explicitly require all LADSPA plugins used by the examples and demos,
  and add filter.so (fil plugins). 

* Tue Nov 28 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-5
- set LADSPA_PATH to lib64 for x86_64

* Fri Nov 24 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-5
- spec file tweaks, changed requirements for fc6 build (ladspa plugin
  packages now have the "ladspa-" prefix), removed old requires
- use separate desktop file

* Mon Jul  3 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-4
- added missing swh-plugins requirement (thanks to Michael Tiemann
  for finding this problem)

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-3
- added explicit requires for the LADSPA plugins all demos need
- added Planet CCRMA categories

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- proper fc5 build dependencies

* Fri Dec 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-2
- use rpm optimization flags

* Mon Dec 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Fri Aug 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.7-1
- updated to 1.8.7
- added clalsadrv-devel build requirement

* Fri Jul 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.6-1
- updated to 1.8.6

* Tue Jul  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.5-1
- updated to 1.8.5

* Thu May 13 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.2-1
- updated to 1.8.2

* Thu Apr 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.0-1
- updated to 1.8.0

* Tue Mar  2 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.7.6-1
- updated to 1.7.6

* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.7.5-1
- updated to 1.7.5

* Wed Jan 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.7.2-1
- updated to 1.7.2

* Wed Dec 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.7.1-1
- updated to 1.7.1

* Wed Nov 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.6.0-1
- spec file tweaks
- add patch0 to enable old alsa api

* Tue Nov  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.6.0-1
- updated to 1.6.0

* Thu Aug 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.12-1
- updated to 1.5.12
- adjusted name of makefile, minor doc file list changes

* Mon Aug 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.11-1
- updated to 1.5.11, added version tags

* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.10-1
- updated to 1.5.10

* Wed May 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.9-1
- updated to 1.5.9

* Tue May 20 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.8b-3
- rebuild for newer version qt (3.1.1), added explicit dependency

* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.8b-2
- rebuilt for newer version of fftw

* Sat Apr  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.8b-1
- added support for qt 3.1

* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.8b-1
- updated to 1.5.8b
- rebuild for jack 0.66.3, added explicit requires for it

* Tue Dec 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.5-1
- updated to 1.5.5, added menu entry, updated description

* Mon Dec  9 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.4-2
- added patch to synth.cpp (lockups)

* Wed Dec 04 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.4
- updated to 1.5.4

* Tue Nov 12 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.3c-1
- updated to 1.5.3c

* Mon Nov 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.3b-1
- updated to 1.5.3b

* Fri Oct 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- Initial build.
